import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { provinceGetGuildsService } from "./province-get-guilds";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const updateGuildByNationalIdNewService = createAsyncThunk(
  "UPDATE_GUILD_BY_NATIONAL_ID_NEW_SERVICE",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.post(
        "update_guild_by_national_id_new/?role=" + getRoleFromUrl(),
        d
      );
      dispatch(provinceGetGuildsService());
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
